# EGLContext (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EGLContext

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opengles.EGLContext

All Implemented Interfaces:
  PointerWrapper

    public final class EGLContext

extends PointerWrapperAbstract

EGLContext wrapper class.

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`void` `destroy()`
`boolean` `equals(java.lang.Object obj)`
`void` `makeCurrent(EGLSurface surface)`
`void` `makeCurrent(EGLSurface draw, EGLSurface read)`
`void` `setDisplay(EGLDisplay display)`

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### setDisplay

    public void setDisplay(EGLDisplay display)

### destroy

    public void destroy()
                 throws LWJGLException

  Throws:
    `LWJGLException`

### makeCurrent

    public void makeCurrent(EGLSurface surface)
                     throws LWJGLException,
                            PowerManagementEventException

  Throws:
    `LWJGLException`
    `PowerManagementEventException`

### makeCurrent

    public void makeCurrent(EGLSurface draw,
                            EGLSurface read)
                     throws LWJGLException,
                            PowerManagementEventException

  Throws:
    `LWJGLException`
    `PowerManagementEventException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PointerWrapperAbstract`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.